program writetest
implicit none
integer ::  i
real    ::  x
character :: c*1

 open(unit=12, file='testdata.bin', form='unformatted', &
	 access='direct', recl=10)
 read(unit=12, rec=1) i, x, c
 write(*,*) i, x, c
 close(12)

stop
end
